Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.xpath
Interface XPathVariableResolver

    public interface XPathVariableResolver

`XPathVariableResolver` provides access to the set of user defined XPath variables.

The `XPathVariableResolver` and the XPath evaluator must adhere to a contract that cannot be directly enforced by the API. Although variables may be mutable, that is, an application may wish to evaluate the same XPath expression more than once with different variable values, in the course of evaluating any single XPath expression, a variable's value must not change.

Since:
  1.5

Method Summary
`Object` | `resolveVariable(QName variableName)` Find a variable in the set of available variables.

Method Detail

### resolveVariable

    Object resolveVariable(QName variableName)

  Find a variable in the set of available variables.

  If `variableName` is `null`, then a `NullPointerException` is thrown.

  Parameters:
    `variableName` - The `QName` of the variable name.
  Returns:
    The variables value, or `null` if no variable named `variableName` exists. The value returned must be of a type appropriate for the underlying object model.
  Throws:
    `NullPointerException` - If `variableName` is `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.